package com.iformall.config;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Stormeye
 */
@Component
@ConfigurationProperties(prefix = "wechat.web")
public class WechatWebProperties {
    /**
     * 设置微信第三方平台-微信登录的web应用appid
     */
    private String appId;

    /**
     * 设置微信第三方平台-微信登录的web应用app secret
     */
    private String secret;

    /**
     * 网页URL
     * @return
     */
    private String url;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this,
                ToStringStyle.MULTI_LINE_STYLE);
    }
}
